---
id: lipo
title: lipo
hide_title: true
hide_table_of_contents: true
sidebar_label: lipo
description: Extract single MachO out of a universal/fat MachO
---
## ipsw macho lipo

Extract single MachO out of a universal/fat MachO

```
ipsw macho lipo [flags]
```

### Options

```
  -a, --arch string     Which architecture to use for fat/universal MachO
  -h, --help            help for lipo
      --output string   Directory to extract the MachO
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw macho](/docs/cli/ipsw/macho)	 - Parse MachO

